#!/bin/bash

CURRENT_DIR=`pwd`
SOURCE_DIR="server"
TEMP_DIR="/tmp"
DEST_DIR="FS-SERVER-API"
ZIP_FILE="FS-SERVER-API.zip"

mkdir -p $TEMP_DIR/$DEST_DIR

# 查找并复制文件
find "$SOURCE_DIR" -type d -name "etc" -exec sh -c 'cp "$0"/*.yaml "$1"' {} "$TEMP_DIR/$DEST_DIR" \;

cd $TEMP_DIR
# 打包目标文件夹
zip -r "$ZIP_FILE" "$DEST_DIR"

#返回当前目录
cd $CURRENT_DIR

# 移动到当前目录
mv "$TEMP_DIR/$ZIP_FILE" .

# 清理临时文件夹
rm "$TEMP_DIR/$DEST_DIR" -rf