Subject: Confirm Email Address for {{ .CompanyName }} Account
MIME-version: 1.0
Content-Type: text/html; charset="UTF-8"
From: "Fusen Support"


<html>
<body>

<p>Dear <span style="color: red;">{{.UserName}}</span>,</p>

<p>Thank you for choosing to associate your email address with your {{ .CompanyName }} account({{ .PlatformAndID }}). To complete the process, please click the button below to confirm your email:</p>

<a href="{{ .ConfirmationLink }}" target="_blank" style="background-color: #008CBA; color: #FFFFFF; text-decoration: none; padding: 10px 15px; border-radius: 3px; display:inline-block; font-weight: bold;">Confirm Email: {{ .Email }}</a>

<p>By confirming your email, you will be able to access additional features and receive important notifications related to your {{ .CompanyName }} account.</p>

<p>If you did not initiate this request or have any questions, please disregard this email. Your email address will not be associated with any account.</p>

Regards,

<p><span>{{.SenderName}}</span><br>
<span>{{.SenderTitle}}</span><br>
<span>{{.CompanyName}}</span></p>

</body>
</html>