Subject: Password Reset Request for Your {{ .CompanyName }} Account
MIME-version: 1.0;
Content-Type: text/html; charset="UTF-8";
From: "Fusen Support";


<html>
<body>

<p>Dear <span style="color: red;">{{.UserName}}</span>,</p>

<p>We have received your request to reset the password for your {{.CompanyName}} account.</p> 

<p>To proceed with the password reset, please click the button below to open the Reset Password page:</p>

<div style="margin: 1em 0;">
 <a href="{{.ConfirmationLink}}" target="_blank" 
    style="background-color: #008CBA; color: #FFFFFF; text-decoration: none; padding: 10px 15px; border-radius: 3px; display:inline-block;">
   Reset Password
 </a>
</div>

<p>Please note that this password reset confirmation link will expire in 60 minutes. If you have any further questions, feel free to reach out to us.</p>

<p>Regards,</p>

<p><span>{{.SenderName}}</span><br>
<span>{{.SenderTitle}}</span><br>
<span>{{.CompanyName}}</span></p>

</body>
</html>