package gmodel

import (
	"gorm.io/gorm"
)

// fs_order_remark_old 订单备注表
type FsOrderRemarkOld struct {
	Id      int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	OrderId *int64  `gorm:"index;default:0;" json:"order_id"`                // 订单id
	Remark  *string `gorm:"default:'';" json:"remark"`                       // 订单备注
	AdminId *int64  `gorm:"default:0;" json:"admin_id"`                      // 后台操作人员
	Ctime   *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsOrderRemarkOldModel struct {
	db   *gorm.DB
	name string
}

func NewFsOrderRemarkOldModel(db *gorm.DB) *FsOrderRemarkOldModel {
	return &FsOrderRemarkOldModel{db: db, name: "fs_order_remark_old"}
}
