package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_template 产品模板表（已废弃）
type FsProductTemplate struct {
	Id         int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	ProductId  *int64  `gorm:"index;default:0;" json:"product_id"`              // 产品ID
	Title      *string `gorm:"default:'';" json:"title"`                        //
	Sort       *int64  `gorm:"default:0;" json:"sort"`                          // 排序
	Ctime      *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
	ModelInfo  *string `gorm:"default:'';" json:"model_info"`                   // 模型详情
	MaterialId *int64  `gorm:"default:0;" json:"material_id"`                   // 材质ID
	SizeId     *int64  `gorm:"default:0;" json:"size_id"`                       // 尺寸ID
	Status     *int64  `gorm:"default:0;" json:"status"`                        // 状态位 显示 删除
	LogoWidth  *int64  `gorm:"default:0;" json:"logo_width"`                    // logo图最大宽度
	LogoHeight *int64  `gorm:"default:0;" json:"logo_height"`                   // logo图最大高度
}
type FsProductTemplateModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductTemplateModel(db *gorm.DB) *FsProductTemplateModel {
	return &FsProductTemplateModel{db: db, name: "fs_product_template"}
}
