package config

import (
	"fusenapi/server/upload/internal/types"

	"github.com/zeromicro/go-zero/rest"
)

type Config struct {
	rest.RestConf
	SourceMysql string
	Auth        types.Auth
	ReplicaId   uint64
	Env         string
	AWS         struct {
		S3 struct {
			Credentials struct {
				AccessKeyID string
				Secret      string
				Token       string
			}
		}
	}
	BLMService struct {
		Version string
		Urls    []string
	}
}
