package fsconfig_test

import (
	"fusenapi/utils/fsconfig"
	"testing"

	"github.com/zeromicro/go-zero/rest"
)

type Config struct {
	rest.RestConf
	SourceMysql string

	ReplicaId uint64

	MainAddress   string
	WebsocketAddr string

	OAuth struct {
		Google struct {
			Appid  string
			Secret string
		}

		Facebook struct {
			Appid  string
			Secret string
		}
	}
}

func TestCase1(t *testing.T) {
	var c Config
	fsconfig.StartNacosConfig("auth.yaml", &c, nil)
}
