package s3url_to_s3id

import "strings"

// 通过url解析资源id
func GetS3ResourceIdFormUrl(s3Url string) string {
	if !strings.Contains(s3Url, "storage.fusenpack.com") {
		return ""
	}
	s := strings.Split(s3Url, "/")
	lens := len(s)
	if lens <= 1 {
		return ""
	}
	return s[lens-1]
}
