Subject: Please confirm your {{ .CompanyName }} account;
MIME-version: 1.0;
Content-Type: text/html; charset="UTF-8";
From: "Fusen Support";


<html>
<body>

<p>Dear <span style="color: red;">{{.UserName}}</span>,</p>

<p>Thank you for registering an account with {{ .CompanyName }}. We are thrilled to have you join our community!</p> 

<p>Please take a moment to confirm your email address by clicking the button below so we can activate your account:</p>

<a href="{{ .ConfirmationLink }}" target="_blank" style="background-color: #008CBA; color: #FFFFFF; text-decoration: none; padding: 10px 15px; border-radius: 3px; display:inline-block; font-weight: bold;">Confirm Account: {{ .UserName }}</a>

<p>Confirming your email ensures your account is properly secured. This also lets you access member-only tools and content.</p> 

<p>If you did not register for {{ .CompanyName }}, please disregard this email. Let us know if you have any other questions!</p>

Regards,

<p><span>{{.SenderName}}</span><br>
<span>{{.SenderTitle}}</span><br>
<span>{{.CompanyName}}</span></p>

<body>
<html>