package gmodel

import (
	"gorm.io/gorm"
)

// fs_card_group 卡号分组表
type FsCardGroup struct {
	Id        int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	GroupName *string `gorm:"default:'';" json:"group_name"`                   //
	PreNo     *string `gorm:"default:'';" json:"pre_no"`                       //
	Num       *int64  `gorm:"default:0;" json:"num"`                           // 生成数量
	Ctime     *int64  `gorm:"default:0;" json:"ctime"`                         // 创建时间
}
type FsCardGroupModel struct {
	db   *gorm.DB
	name string
}

func NewFsCardGroupModel(db *gorm.DB) *FsCardGroupModel {
	return &FsCardGroupModel{db: db, name: "fs_card_group"}
}
