package gmodel

import (
	"gorm.io/gorm"
)

// fs_cloud_deliver_every_tmp_old
type FsCloudDeliverEveryTmpOld struct {
	Id                    int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	AdminId               *int64  `gorm:"default:0;" json:"admin_id"`                      // 管理员
	CloudId               *int64  `gorm:"default:0;" json:"cloud_id"`                      // 云仓ID 暂且只有一个默认为 1
	OrderDetailTemplateSn *string `gorm:"default:'';" json:"order_detail_template_sn"`     //
	Num                   *int64  `gorm:"default:0;" json:"num"`                           // 发货数量
	Ctime                 *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsCloudDeliverEveryTmpOldModel struct {
	db   *gorm.DB
	name string
}

func NewFsCloudDeliverEveryTmpOldModel(db *gorm.DB) *FsCloudDeliverEveryTmpOldModel {
	return &FsCloudDeliverEveryTmpOldModel{db: db, name: "fs_cloud_deliver_every_tmp_old"}
}
