package gmodel

import (
	"gorm.io/gorm"
)

// fs_cloud_old 云仓表
type FsCloudOld struct {
	Id      int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	Address *string `gorm:"default:'';" json:"address"`                      // 云仓地址
	Title   *string `gorm:"default:'';" json:"title"`                        // 云仓名称
}
type FsCloudOldModel struct {
	db   *gorm.DB
	name string
}

func NewFsCloudOldModel(db *gorm.DB) *FsCloudOldModel {
	return &FsCloudOldModel{db: db, name: "fs_cloud_old"}
}
