package gmodel

import (
	"gorm.io/gorm"
)

// fs_cloud_storage_stock
type FsCloudStorageStock struct {
	StockId        int64   `gorm:"primary_key;default:0;auto_increment;" json:"stock_id"` // 库存ID
	OrderSn        *string `gorm:"default:'';" json:"order_sn"`                           //
	CloudStorageId *string `gorm:"default:'';" json:"cloud_storage_id"`                   //
}
type FsCloudStorageStockModel struct {
	db   *gorm.DB
	name string
}

func NewFsCloudStorageStockModel(db *gorm.DB) *FsCloudStorageStockModel {
	return &FsCloudStorageStockModel{db: db, name: "fs_cloud_storage_stock"}
}
