package gmodel

import (
	"gorm.io/gorm"
)

// fs_deliver_every 发货详细表（已废弃）
type FsDeliverEvery struct {
	Id                    int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"`   //
	DeliverId             *int64  `gorm:"index;default:0;" json:"deliver_id"`                // 发货ID
	OrderDetailTemplateSn *string `gorm:"index;default:'';" json:"order_detail_template_sn"` //
	Num                   *int64  `gorm:"default:0;" json:"num"`                             // 发货数量
}
type FsDeliverEveryModel struct {
	db   *gorm.DB
	name string
}

func NewFsDeliverEveryModel(db *gorm.DB) *FsDeliverEveryModel {
	return &FsDeliverEveryModel{db: db, name: "fs_deliver_every"}
}
