package gmodel

import (
	"gorm.io/gorm"
)

// fs_menu 后台菜单
type FsMenu struct {
	Id     int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	Name   *string `gorm:"default:'';" json:"name"`                         //
	Parent *int64  `gorm:"index;default:0;" json:"parent"`                  // 父id
	Route  *string `gorm:"default:'';" json:"route"`                        //
	Order  *int64  `gorm:"default:0;" json:"order"`                         // 排序
	Data   *[]byte `gorm:"default:'';" json:"data"`                         // 其他信息（图标等）
}
type FsMenuModel struct {
	db   *gorm.DB
	name string
}

func NewFsMenuModel(db *gorm.DB) *FsMenuModel { return &FsMenuModel{db: db, name: "fs_menu"} }
