package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_template_element 云渲染配置表
type FsProductTemplateElement struct {
	Id        int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	Title     *string `gorm:"default:'';" json:"title"`                        //
	ModelId   *int64  `gorm:"index;default:0;" json:"model_id"`                // 产品模型id
	Base      *string `gorm:"default:'';" json:"base"`                         //
	Shadow    *string `gorm:"default:'';" json:"shadow"`                       //
	Mode      *string `gorm:"default:'';" json:"mode"`                         //
	Light     *int64  `gorm:"default:0;" json:"light"`                         // 灯光组
	Rotation  *string `gorm:"default:'';" json:"rotation"`                     //
	Scale     *string `gorm:"default:'';" json:"scale"`                        //
	ModelP    *string `gorm:"default:'';" json:"model_p"`                      //
	Refletion *string `gorm:"default:'';" json:"refletion"`                    //
}
type FsProductTemplateElementModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductTemplateElementModel(db *gorm.DB) *FsProductTemplateElementModel {
	return &FsProductTemplateElementModel{db: db, name: "fs_product_template_element"}
}
