package gmodel

import (
	"gorm.io/gorm"
)

// fs_user_design 废弃表
type FsUserDesign struct {
	Id         int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	UserId     *int64  `gorm:"index;default:0;" json:"user_id"`                 // 用户ID
	ProductId  *int64  `gorm:"index;default:0;" json:"product_id"`              // 产品ID
	TemplateId *int64  `gorm:"index;default:0;" json:"template_id"`             // 模型ID
	MaterialId *int64  `gorm:"index;default:0;" json:"material_id"`             // 材质ID
	SizeId     *int64  `gorm:"index;default:0;" json:"size_id"`                 // 尺寸ID
	Info       *[]byte `gorm:"default:'';" json:"info"`                         //
	Ctime      *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsUserDesignModel struct {
	db   *gorm.DB
	name string
}

func NewFsUserDesignModel(db *gorm.DB) *FsUserDesignModel {
	return &FsUserDesignModel{db: db, name: "fs_user_design"}
}
