package gmodel

func FsString(v string) *string {
	return &v
}

func FsInt(v int) *int {
	return &v
}

func FsInt32(v int32) *int32 {
	return &v
}

func FsInt64(v int64) *int64 {
	return &v
}

func FsUint(v uint) *uint {
	return &v
}

func FsUint32(v uint32) *uint32 {
	return &v
}

func FsUint64(v uint64) *uint64 {
	return &v
}

func FsFloat(v float64) *float64 {
	return &v
}

func FsBool(v bool) *bool {
	return &v
}

// SubscriptionStatus 订阅状态
type SubscriptionStatus struct {
	NotificationEmail *struct {
		OrderUpdate bool `json:"order_update"`
		Newseleter  bool `json:"newseleter"`
	} `json:"notification_email"`

	NotificationPhone *struct {
		OrderUpdate bool `json:"order_update"`
		Newseleter  bool `json:"newseleter"`
	} `json:"notification_phone"`
}

type UserProfile struct {
	ProfileBase UserProfileBase    `json:"base"`
	SubStatus   SubscriptionStatus `json:"sub_status"`
}

// UserProfileBase 个人信息
type UserProfileBase struct {
	FirstName   string `json:"first_name"`  // 首名
	LastName    string `json:"last_name"`   // 后名
	Email       string `json:"email"`       // email
	Mobile      string `json:"mobile"`      // 电话
	Resetaurant string `json:"resetaurant"` // 不知道干什么
	Company     string `json:"company"`     // 公司
}

type FsAddressWithDefault struct {
	*FsAddress
	IsDefault int64 `json:"is_default"`
}
