package config

import (
	"fusenapi/server/order/internal/types"

	"github.com/zeromicro/go-zero/rest"
)

type Config struct {
	rest.RestConf
	SourceMysql    string
	Auth           types.Auth
	SourceRabbitMq string
	PayConfig      struct {
		Stripe struct {
			EndpointSecret string
			Key            string
			CancelURL      string
			SuccessURL     string
		}
	}
}
