package config

import (
	"fusenapi/server/resource/internal/types"

	"github.com/zeromicro/go-zero/rest"
)

type Config struct {
	rest.RestConf
	SourceMysql    string
	Auth           types.Auth
	SourceRabbitMq string
	AWS            struct {
		S3 struct {
			Credentials struct {
				AccessKeyID string
				Secret      string
				Token       string
			}
		}
	}
	BLMService struct {
		Version string
		Urls    []string
	}
}
